unit uHook;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls;

type
  // Add those lines as below:
  TInitAPIHook = function : integer; stdcall;
  THookAllProcesses = function : integer; stdcall;
  THookAllProcesses2 = function(msec:integer) : integer; stdcall;
  TUnhookAllProcesses = function : integer; stdcall;
  //

  TForm1 = class(TForm)
    btnClose: TButton;
    Label1: TLabel;
    Label2: TLabel;
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure FormCreate(Sender: TObject);
    procedure btnCloseClick(Sender: TObject);

  private
    { Private declarations }

  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.FormClose(Sender: TObject; var Action: TCloseAction);
Var
  LibHandle : Thandle;
  ProcAddr  : FarProc;
begin
  LibHandle := LoadLibrary('HookSetup.dll');
  try
    ProcAddr := GetProcAddress(LibHandle, 'UnhookAllProcesses');
    TUnhookAllProcesses(ProcAddr);
  except
    FreeLibrary(LibHandle);
  end;
end;

procedure TForm1.FormCreate(Sender: TObject);
Var
  LibHandle : Thandle;
  ProcAddr,ProcAddr2  : FarProc;
begin
  LibHandle := LoadLibrary('HookSetup.dll');
  try
    ProcAddr := GetProcAddress(LibHandle, 'InitAPIHook');
    TInitAPIHook(ProcAddr);
    ProcAddr := GetProcAddress(LibHandle, 'HookAllProcesses');
    THookAllProcesses(ProcAddr);
    ProcAddr2 := GetProcAddress(LibHandle, 'HookAllProcesses2(msec:integer)');
    THookAllProcesses2(ProcAddr2)(1000);
  except
  end;
end;

procedure TForm1.btnCloseClick(Sender: TObject);
begin
  close;
end;

end.
